include:
  - project: 'to-be-continuous/tools/gitlab-ci'
    ref: 'master'
    file: '/templates/extract.yml'
  - project: "to-be-continuous/tools/gitlab-ci"
    ref: "master"
    file: "/templates/validation.yml"
  - project: "to-be-continuous/kicker"
    ref: "master"
    file: "/templates/validation.yml"
  - project: 'to-be-continuous/bash'
    ref: '3.4'
    file: '/templates/gitlab-ci-bash.yml'
  - project: 'to-be-continuous/semantic-release'
    ref: '3.8'
    file: '/templates/gitlab-ci-semrel.yml'

stages:
  - build
  - publish

variables:
  GITLAB_CI_FILES: "templates/gitlab-ci-k6.yml"
  BASH_SHELLCHECK_FILES: "*.sh"

semantic-release:
  rules:
    # on production branch(es): auto if SEMREL_AUTO_RELEASE_ENABLED
    - if: '$TMPL_RELEASE_ENABLED == "true" && $CI_COMMIT_REF_NAME =~ $PROD_REF'

